classification
Title: Update the BuiltinImporter in importlib to use loader._ORIGIN instead of a hardcoded value
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: corona10 Nosy List: barry, brett.cannon, corona10, eric.snow, ncoghlan, nnja
Priority: low Keywords: patch

Created on 2019-02-06 22:00 by nnja, last changed 2019-09-11 16:34 by corona10. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15651 merged corona10, 2019-09-02 16:43
Messages (4)
msg334989 - (view) Author: Nina Zakharenko (nnja) * (Python triager) Date: 2019-02-06 22:00
Update the BuiltinImporter in importllib to set the origin from the shared `loader._ORIGIN` attribute instead of using the hard-coded value of 'built-in' in order to match the functionality of FrozenImporter.

The FrozenImporter was updated to use this attribute in PR GH-11732 (https://github.com/python/cpython/pull/11732)
msg334997 - (view) Author: Dong-hee Na (corona10) * (Python triager) Date: 2019-02-07 02:19
@nnja

Hi, Can I work on this issue if no one works on it?
msg335004 - (view) Author: Nina Zakharenko (nnja) * (Python triager) Date: 2019-02-07 06:12
Hey Dong-hee, Unfortunately, I already started the work on this which is why I assigned the ticket to myself when I opened it. This work came up as a continuation of another ticket I worked on - bpo-35321 / GH-11732. I wanted to keep them as separate issues.

I'm sorry, I hope you find another ticket to work on soon.
msg351961 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-09-11 16:00
New changeset 145cf1f50c8a8e8233e641f345cd5e25ee69190a by Brett Cannon (Dong-hee Na) in branch 'master':
bpo-35923: Update the BuiltinImporter to use loader._ORIGIN instead of a hard-coded value (GH-15651)
https://github.com/python/cpython/commit/145cf1f50c8a8e8233e641f345cd5e25ee69190a
History
Date User Action Args
2019-09-11 16:34:20corona10setstatus: open -> closed
assignee: nnja -> corona10
stage: patch review -> resolved
resolution: fixed
versions: - Python 3.7, Python 3.8
2019-09-11 16:00:04brett.cannonsetmessages: + msg351961
2019-09-04 16:02:45ned.deilysetnosy: + brett.cannon, ncoghlan, eric.snow
2019-09-02 16:54:23corona10setversions: + Python 3.9
2019-09-02 16:43:09corona10setkeywords: + patch
stage: patch review
pull_requests: + pull_request15318
2019-02-07 06:12:04nnjasetmessages: + msg335004
2019-02-07 02:19:44corona10setnosy: + corona10
messages: + msg334997
2019-02-06 22:00:01nnjacreate